cURL
curl --request POST \ --url https://whatsrb.com/api/v1/business_accounts/{business_account_id}/templates/{id}/send_test \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "to": "+33612345678" } '
{ "data": { "id": "<string>", "direction": "outbound", "to": "<string>", "message_type": "text", "content": "<string>", "status": "queued", "wamid": "<string>", "error_message": "<string>", "sent_at": "2023-11-07T05:31:56Z", "delivered_at": "2023-11-07T05:31:56Z", "read_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z" } }
Sends a test using the template. If approved, sends the real template. Otherwise, sends a plain text preview.
approved
API key from the WhatsRB dashboard. Format: Bearer wrb_live_xxx
Bearer wrb_live_xxx
"+33612345678"
Sent
Show child attributes